Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228116 - middle mouse click on scrollbar in message composition will paste
Summary: middle mouse click on scrollbar in message composition will paste
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 02:03 UTC by amlai
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-15 20:56:44 UTC


Attachments (Terms of Use)
Patch fixes described problem (deleted)
2007-02-10 02:03 UTC, amlai
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 70698 None None None Never

Description amlai 2007-02-10 02:03:38 UTC
Description of problem: middle click on the scroll bar in a message composition
window causes a paste into the message.

Version-Release number of selected component (if applicable): to the best of my
knowledge, all versions

How reproducible: always

Steps to Reproduce:
1. put some text into X11's clipboard
2. compose a long message
3. middle click on scroll bar to jump to a location in the message
  
Actual results:
Window scrolls and text gets pasted into the message body

Expected results:
Window scrolls to desired location in the window.

Additional info:
I have reported this upstream:
https://bugzilla.mozilla.org/show_bug.cgi?id=70698

Unfortunately, it seems to have gotten stuck in limbo, and as far as anyone can
tell, the attached patch works as expected.  I have been using this patch for at
least a year and have not encountered any unexpected consequences.

Comment 1 amlai 2007-02-10 02:03:38 UTC
Created attachment 147828 [details]
Patch fixes described problem


Note You need to log in before you can comment on or make changes to this bug.